## Example Summary

Minimal application

## Peripherals & Pin Assignments

When this project is built, the SysConfig tool will generate the TI-Driver
configurations into the __ti_drivers_config.c__ and __ti_drivers_config.h__
files. Information on pins and resources used is present in both generated
files. Additionally, the System Configuration file (\*.syscfg) present in the
project may be opened with SysConfig's graphical user interface to determine
pins and resources used.

## BoosterPacks, Board Resources & Jumper Settings

For board specific jumper settings, resources and BoosterPack modifications,
refer to the __Board.html__ file.

> If you're using an IDE such as Code Composer Studio (CCS) or IAR,
> __Board.html__ is located in your project directory.  The Board.html can
also be found in your SDK installation:
>
>        <SDK_INSTALL_DIR>/source/ti/boards/<BOARD>.html
>
> where `<BOARD>` is the name of your device's Launchpad.

#### Adding BoosterPacks

To use a BoosterPack you must first add its hardware description to your
application's `.syscfg` script.  This allows SysConfig to automatically map
the BoosterPack components to appropriate device pins.

Hardware descriptions for all supported BoosterPacks can be found in the
`<SDK_INSTALL_DIR>/sources/ti/boards/.meta/boosterpacks` folder.

For example, to use the
[BOOSTXL-BASSENSORS](https://www.ti.com/tool/BOOSTXL-BASSENSORS) BoosterPack,
you must add the following line to your application's `.syscfg` script:

    const BOOSTXL_BASSENSORS = scripting.addHardware("/ti/boards/boosterpacks/BOOSTXL-BASSENSORS");

## Example Usage

* Build and load the example in any debugger
* Set a breakpoint at mainThread()
* Run

## Application Design Details

* This application uses POSIX APIs to repeatedly sleep for 1 second intervals

